//检测参数设置
function ValidateNum(item,type,str)
{
	var returnVal = 0;
	var intVal;
	var strVal = new String(item.val());
	var ch;
	var i;
	var j;
	
	if(type == "C150colour")//亮度、对比度、饱和度
	{
        if(strVal=="")
		{
			alert("请输入"+str);
			item.focus();
			return false; 
		}
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数");
				item.focus();
	       		return false; 
			}
		}
		intVal= parseInt(item.val(),10);
		if(intVal < 0 || intVal > 255)
		{
			alert(str+"值必须在0~255之间");
			item.focus();
			return false; 
		}	 
	}
	else if(type == "C150_Chroma")//色度
	{
        if(strVal=="")
		{
			alert("请输入"+str);
			item.focus();
			return false; 
		}
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数");
				item.focus();
	       		return false; 
			}
		}
		intVal= parseInt(item.val(),10);
		if(intVal < 64 || intVal > 191)
		{
			alert(str+"值必须在64~191之间");
			item.focus();
			return false; 
		}	 
	}
	else if(type == "C150_VideoRate")//视频码率
	{
		if(strVal=="")
		{
			alert("请输入"+str);
			item.focus();
			return false; 
		}
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数");
				item.focus();
	       		return false; 
			}
		}
		intVal= parseInt(item.val(),10);
		if(intVal < 300000 || intVal > 50000000)
		{
			alert(str+"值必须在300Kbps~50Mbps之间");
			item.focus();
			return false; 
		}
	}
	else if(type == "C150_VideoGOPLen")//GOP长度
	{
        if(strVal=="")
		{
			alert("请输入"+str);
			item.focus();
			return false; 
		}
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数");
				item.focus();
	       		return false; 
			}
		}
		intVal= parseInt(item.val(),10);
		if(intVal < 0 || intVal > 30)
		{
			alert(str+"值必须在0~30之间");
			item.focus();
			return false; 
		}	 
	}
	else if(type == "C150_VideoIDRFrequency")//IDR帧频率
	{
        if(strVal=="")
		{
			alert("请输入"+str);
			item.focus();
			return false; 
		}
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数");
				item.focus();
	       		return false; 
			}
		}
		intVal= parseInt(item.val(),10);
		if(intVal < 0 || intVal > 15)
		{
			alert(str+"值必须在0~15之间");
			item.focus();
			return false; 
		}	 
	}
	else if(type == "C150_PassDelay")//视频透传延时
	{
    if(strVal=="")
		{
			alert("请输入"+str);
			item.focus();
			return false; 
		}
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数");
				item.focus();
	       		return false; 
			}
		}
		intVal= parseInt(item.val(),10);
		if(intVal < 0 || intVal > 500)
		{
			alert(str+"值必须在0~500之间");
			item.focus();
			return false; 
		}	 
	}
	else if(type == "C150_CodecDelay")//编码延时
	{
    if(strVal=="")
		{
			alert("请输入"+str);
			item.focus();
			return false; 
		}
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数");
				item.focus();
	       		return false; 
			}
		}
		intVal= parseInt(item.val(),10);
		if(intVal < 0 || intVal > 50)
		{
			alert(str+"值必须在0~50之间");
			item.focus();
			return false; 
		}	 
	}
	else if(type == "C150_PosX")//起始点横坐标
	{
    if(strVal=="")
		{
			alert("请输入"+str);
			item.focus();
			return false; 
		}
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数");
				item.focus();
	       		return false; 
			}
		}
		intVal= parseInt(item.val(),10);
		if(intVal < 1 || intVal > 1919)
		{
			alert(str+"值必须在1~1919之间");
			item.focus();
			return false; 
		}	 
	}
	else if(type == "C150_PosY")//起始点纵坐标
	{
    if(strVal=="")
		{
			alert("请输入"+str);
			item.focus();
			return false; 
		}
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数");
				item.focus();
	       		return false; 
			}
		}
		intVal= parseInt(item.val(),10);
		if(intVal < 1 || intVal > 1079)
		{
			alert(str+"值必须在1~1079之间");
			item.focus();
			return false; 
		}	 
	}
	else if(type == "C150_ProgramNo")//节目号
	{
    if(strVal=="")//不能为空
	  {
			 alert("请输入"+str);
			 item.focus();
			 return false; 
	  }
		if(strVal.length == 1)//如果输入一位数，那么必须为1~9的十进制数
		{
			ch0 = strVal.charAt(0);
			if(ch0 < '1' || ch0 > '9')
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
		}
		else//长度大于1的情况 
		{	
			ch0 = strVal.charAt(0);
			ch1 = strVal.charAt(1);
			if(((ch0 == '0')&&(ch1 == 'x'))||((ch0 == '0')&&(ch1 == 'X')))//如果是0x开头，默认为输入十六进制数据
			{
				if(strVal.length == 2)
				{
					alert(str+"请输入合法的数值!");
					item.focus();
					return false;
				}
				for ( i = 0 ; i < strVal.length-2; i++ )
				{      
					ch = strVal.charAt(i+2);
					if(ch < '0' || ch > '9'&& ch < 'A' || ch > 'F' && ch < 'a' || ch > 'f')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),16);
				if((intVal < 1)||(intVal > 65535))
				{
					alert(str+"必须在0x0001~0xffff之间!");
					item.focus();
					return false;
				}
			}
			else if((ch0 == '0')&&(parseInt(item.val())!=0))//否则的话不能以0作为开头
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
			else//认为输入十进制数
			{
				for ( i = 0 ; i < strVal.length ; i++ )
				{      
					ch = strVal.charAt(i);
					if(ch < '0' || ch > '9')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),10);
				if((intVal < 1)||(intVal > 65535))
				{
					alert(str+"必须1~65535之间!");
					item.focus();
					return false;
				}
			}
		} 
	}
	else if(type == "C150_PMTPID")//PMT PID和PCR PID
	{
		if(strVal=="")//不能为空
	  {
			alert("请输入"+str);
			item.focus();
			return false; 
	  }
		if(strVal.length == 1)//如果输入一位数，那么必须为1~9的十进制数
		{
			ch0 = strVal.charAt(0);
			if(ch0 < '1' || ch0 > '9')
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
			else
			{
				alert(str+"必须在20~8191之间!");
				item.focus();
				return false;
			}
		}
		else//长度大于1的情况 
		{	
			ch0 = strVal.charAt(0);
			ch1 = strVal.charAt(1);
			if(((ch0 == '0')&&(ch1 == 'x'))||((ch0 == '0')&&(ch1 == 'X')))//如果是0x开头，默认为输入十六进制数据
			{
				if(strVal.length == 2)
				{
					alert(str+"请输入合法的数值!");
					item.focus();
					return false;
				}
				for ( i = 0 ; i < strVal.length-2; i++ )
				{      
					ch = strVal.charAt(i+2);
					if(ch < '0' || ch > '9'&& ch < 'A' || ch > 'F' && ch < 'a' || ch > 'f')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),16);
				if((intVal <20)||(intVal > 8191))
				{
					alert(str+"必须在0x14~0x1fff之间!");
					item.focus();
					return false;
				}
			}
			else if((ch0 == '0')&&(parseInt(item.val())!=0))//否则的话不能以0作为开头
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
			else//认为输入十进制数
			{
				for ( i = 0 ; i < strVal.length ; i++ )
				{      
					ch = strVal.charAt(i);
					if(ch < '0' || ch > '9')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),10);
				if((intVal <20)||(intVal > 8191))
				{
					alert(str+"必须在20~8191之间!");
					item.focus();
					return false;
				}
			}
		} 
	}
	else if(type == "C150_AudioPID")//音频PID
	{
		if(strVal=="")//不能为空
	  {
			alert("请输入"+str);
			item.focus();
			return false; 
	  }
		if(strVal.length == 1)//如果输入一位数，那么必须为1~9的十进制数
		{
			ch0 = strVal.charAt(0);
			if(ch0 < '1' || ch0 > '9')
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
			else
			{
				alert(str+"必须在20~8190之间!");
				item.focus();
				return false;
			}
		}
		else//长度大于1的情况 
		{	
			ch0 = strVal.charAt(0);
			ch1 = strVal.charAt(1);
			if(((ch0 == '0')&&(ch1 == 'x'))||((ch0 == '0')&&(ch1 == 'X')))//如果是0x开头，默认为输入十六进制数据
			{
				if(strVal.length == 2)
				{
					alert(str+"请输入合法的数值!");
					item.focus();
					return false;
				}
				for ( i = 0 ; i < strVal.length-2; i++ )
				{      
					ch = strVal.charAt(i+2);
					if(ch < '0' || ch > '9'&& ch < 'A' || ch > 'F' && ch < 'a' || ch > 'f')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),16);
				if((intVal <20)||(intVal > 8190))
				{
					alert(str+"必须在0x14~0x1ffe之间!");
					item.focus();
					return false;
				}
			}
			else if((ch0 == '0')&&(parseInt(item.val())!=0))//否则的话不能以0作为开头
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
			else//认为输入十进制数
			{
				for ( i = 0 ; i < strVal.length ; i++ )
				{      
					ch = strVal.charAt(i);
					if(ch < '0' || ch > '9')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),10);
				if((intVal <20)||(intVal > 8190))
				{
					alert(str+"必须在20~8190之间!");
					item.focus();
					return false;
				}
			}
		} 
	}
	else if(type == "C150_VideoPID")//视频PID
{
		if(strVal=="")//不能为空
	   	{
			alert("请输入"+str);
			item.focus();
			return false; 
	    }
		if(strVal.length == 1)//如果输入一位数，那么必须为1~9的十进制数
		{
			ch0 = strVal.charAt(0);
			if(ch0 < '1' || ch0 > '9')
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
			else
			{
				alert(str+"必须在16~8190之间!");
				item.focus();
				return false;
			}
		}
		else//长度大于1的情况 
		{	
			ch0 = strVal.charAt(0);
			ch1 = strVal.charAt(1);
			if(((ch0 == '0')&&(ch1 == 'x'))||((ch0 == '0')&&(ch1 == 'X')))//如果是0x开头，默认为输入十六进制数据
			{
				if(strVal.length == 2)
				{
					alert(str+"请输入合法的数值!");
					item.focus();
					return false;
				}
				for ( i = 0 ; i < strVal.length-2; i++ )
				{      
					ch = strVal.charAt(i+2);
					if(ch < '0' || ch > '9'&& ch < 'A' || ch > 'F' && ch < 'a' || ch > 'f')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),16);
				if((intVal <16)||(intVal > 8190))
				{
					alert(str+"必须在0x10~0x1ffe之间!");
					item.focus();
					return false;
				}
			}
			else if((ch0 == '0')&&(parseInt(item.val())!=0))//否则的话不能以0作为开头
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
			else//认为输入十进制数
			{
				for ( i = 0 ; i < strVal.length ; i++ )
				{      
					ch = strVal.charAt(i);
					if(ch < '0' || ch > '9')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),10);
				if((intVal <16)||(intVal > 8190))
				{
					alert(str+"必须在16~8190之间!");
					item.focus();
					return false;
				}
			}
		} 
	}
	else if(type == "C150_AudioDelay")//音频延时
	{
		 if(strVal=="")
		{
			alert("请输入"+str);
			item.focus();
			return false; 
		}
		ch = strVal.charAt(0);
		if (strVal.length == 1 && ch == '-')
		{
			alert(str+"请输入合法的10进制整数");
			item.focus();
	       	return false; 		
		}
		if ((ch < '0' || ch > '9') && ch != '-')
		{
			alert(str+"请输入合法的10进制整数");
			item.focus();
	       	return false; 
		}
		for ( i = 1 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数");
				item.focus();
	       		return false; 
			}
		}
		intVal= parseInt(item.val(),10);
		if(intVal > 5000 || intVal <-500)
			{
				alert(str+"值必须在-500~5000ms之间");
				item.focus();
				return false; 
			} 
	}

	return true;
}

	
